__gnu_cxx::_Rope_iterator_base(3)

NAME
__gnu_cxx::_Rope_iterator_base -

SYNOPSIS

Inherits iterator< std::random_access_iterator_tag, _CharT >.

Inherited by _Rope_const_iterator, and _Rope_iterator.

Detailed Description

  template<class _CharT, class _Alloc> class __gnu_cxx::_Rope_iterator_base< _CharT, _Alloc >

Definition at line 1027 of file rope.

  Public Types
typedef _Alloc _allocator_type
typedef _Rope_RopeRep< _CharT, _Alloc > _RopeRep
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

  Public Member Functions
_Rope_iterator_base (const _Rope_iterator_base &__x)
size_t index () const

  Protected Types
enum { _S_path_cache_len }
enum { _S_iterator_buf_len }
_S_iterator_buf_len
_S_path_cache_len

  Protected Member Functions
void _M_decr (size_t __n)
void _M_incr (size_t __n)
_Rope_iterator_base (_RopeRep *__root, size_t __pos)
_Rope_iterator_base ()

  Static Protected Member Functions
static void _S_setbuf (_Rope_iterator_base &__x)
static void _S_setcache (_Rope_iterator_base &__x)
static void _S_setcache_for_incr (_Rope_iterator_base &__x)

  Protected Attributes
__GC_CONST _CharT * _M_buf_end
__GC_CONST _CharT * _M_buf_ptr
__GC_CONST _CharT * _M_buf_start
size_t _M_current_pos
int _M_leaf_index
size_t _M_leaf_pos
unsigned char _M_path_directions
const _RopeRep * _M_path_end [_S_path_cache_len]
_RopeRep * _M_root
_CharT _M_tmp_buf [_S_iterator_buf_len]

  Friends
class rope< _CharT, _Alloc >

Member Typedef Documentation

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.